// your tracker CTA url
var your_clickUrl = "YOUR_TRACKER_DOMAIN/click";

// WhatsApp message text
var wa_message_text = 'Check this out!';

// WhatsApp message url
var wa_message_url = 'https://www.google.com/';

// number of steps
var g_share_step = 5;

// progress bar
var all_p_e = [30, 50, 80, 90, 100];

// internal vars
var cl = 0;
var p_e = 0;
var p_s = 0;

function wa_start(){
    document.getElementById("wa_container").classList.remove('wa_hidden');
    document.getElementById("wa_share_page").classList.remove('wa_hidden');
}
function wa_show_popup( title, text ){
    alert(title + "\n" + text);
}

function wa_shareOkBtn() {
    window.location.href = your_clickUrl;
}

function wa_continueBtn() {
    var share_num = wa_get_Cookie('prog') == '' ? 0 : parseInt(wa_get_Cookie('prog'));
    if (share_num < g_share_step) {
        wa_show_popup( 'Info' , 'Please share until the bar is full!' );
    } else {
        document.querySelector('.share_ing').style.display = 'none';
        document.querySelector('.share_success').style.display = 'block';
    }
}

function wa_shareBtn() {
    var share_num = wa_get_Cookie('prog') == '' ? 0 : parseInt(wa_get_Cookie('prog'));
    share_num++;
    if (share_num > g_share_step) {
        share_num = g_share_step;
    }
    window.location.href = `whatsapp://send?text=${encodeURIComponent(wa_message_text)}%20${encodeURIComponent(wa_message_url)}`;

    setTimeout(function () {
        wa_get_Cookie('prog') == '' ? value = 1 : value = parseInt(wa_get_Cookie('prog'));
        if (value >= g_share_step) {
            document.getElementById("continue_btn").classList.remove('disabled');
            wa_continueBtn();
        }else{
            value == 2 || value == 4 ? wa_show_popup( 'Thanks!', 'Continue...' ) : void (0);
        }
        wa_set_Cookie('prog', value + 1);
        wa_move();
    }, 3000)
}

function wa_set_Cookie(name, value, days) {
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
        var expires = "; expires=" + date.toGMTString();
    } else var expires = "";
    document.cookie = name + "=" + value + expires + "; path=/";
}


function wa_get_Cookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(";");
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == " ") c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
    }
    return '';
}

function wa_move() {
    cl = wa_get_Cookie('prog') == '' ? 0 : parseInt(wa_get_Cookie('prog')) - 2;
    cl = cl>=0?cl:0;
    var share_num = wa_get_Cookie('prog') == '' ? 0 : parseInt(wa_get_Cookie('prog'));
    var elem = document.getElementById("progressbar");
    if (cl < all_p_e.length && share_num <= g_share_step) {
        var p_e_num = cl;
    } else {
        var p_e_num = all_p_e.length - 1;
    }
    p_e = all_p_e[p_e_num];
    var id = setInterval(frame, 10);

    function frame() {
        if (p_s >= p_e) {
            clearInterval(id);
        } else {
            p_s++;
            elem.style.width = p_s + '%';
            elem.innerHTML = p_s * 1 + '%';
        }
    }
}